@import "../../../styles.scss";

.container {
    width: calc(100vw - 130px);
    display: flex;
    flex-direction: column;
    padding: 30px 0;
}

.item-order {
    display: flex;
    flex-direction: column;
    border-radius: 2px;
    background-color: $white;
    min-width: 580px;
    margin: 8px auto;
    box-shadow: $shadow;
    padding: 0 24px;
    color: $dark;
    .info {
        font-size: 20px;
        margin: auto;
        &.table, &.price {
            font-weight: 700;
            text-decoration: underline;
        }
        &.table {
            margin-left: 0;
            margin-right: 24px;
        }
        &.name {
            margin-left: 0;
            margin-right: auto;
        }
        &.price {
            margin-left: auto;
            margin-right: 0;
        }
        &.hour {
            margin-right: 0;
            margin-left: 24px;
        }
    }
    &.active {
        .item-header {
            background-color: $purple;
            color: $white;
            padding: 0 24px;
            margin: 0 -24px;
        }
    }
    .item-header {
        height: 75px;
        line-height: 75px;
        display: flex;
        width: 100%;
    }
    .item-body {
        border-top: 1px solid $light;
        padding: 24px;
    }
}

.list-order {
    display: flex;
    span {
        flex: 1;
        font-size: 18px;
        margin-bottom: 14px;
        color: $dark;
        &:first-child {
            max-width: 32px;
            color: $purple;
        }
        &:last-child {
            text-align: right;
            color: $paragraph;
        }
    }
}
.order-price {
    border-top: 1px solid $light;
    padding-top: 16px;
    display: flex;
    place-content: flex-end;
    font-size: 20px;
    text-decoration: underline;
    color: $dark;
    font-weight: 700;
    span {
        margin-left: 24px;
    }
}
.order-action {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    border-top: 1px solid $light;
    padding-top: 24px;
    margin-top: 16px;
}
.btn {
    border: none;
    padding: 8px 36px;
    height: 56px;
    background: $purple;
    font-size: 16px;
    font-weight: 700;
    color: $white;
    text-transform: uppercase;
    margin: 0;
    border-radius: 2px;
    cursor: pointer;
    &.outlined {
        background: transparent;
        border: 1px solid $purple;
        font-size: 14px;
        color: $purple;
    }
    &.little {
        height: 42px;
        margin: auto 0 auto auto;
    }
    &:hover {
        background: darken($color: $purple, $amount: 5);
        &.text {
            background: darken($color: $white, $amount: 5);
        }
    }
}